import { EventEmitter } from "@angular/core";
import * as common from "./common";
export declare class NodeComponent {
    data: common.TreeData;
    last: boolean;
    toggle: EventEmitter<common.EventData>;
    change: EventEmitter<common.EventData>;
    hovered: boolean;
    doubleClick: common.DoubleClick;
    readonly nodeClassName: string;
    readonly anchorClassName: string;
    hover(hovered: boolean): void;
    ontoggle(eventData?: common.EventData): void;
    onchange(eventData?: common.EventData): void;
}
export declare class TreeComponent {
    data: common.TreeData[];
    toggle: EventEmitter<common.EventData>;
    change: EventEmitter<common.EventData>;
    ontoggle(eventData: common.EventData): void;
    onchange(eventData: common.EventData): void;
}
