export declare type TreeData = {
    text: string;
    value?: any;
    state: {
        opened: boolean;
        selected: boolean;
        disabled: boolean;
    };
    children?: TreeData[];
};
export declare type EventData = {
    data: TreeData;
};
import "tslib";
export declare class DoubleClick {
    private timeout;
    clicked: boolean;
    constructor(timeout?: number);
    onclick(singleClick: () => void): void;
}
export declare function getNodeClassName(data: TreeData, last: boolean): string;
export declare function getAnchorClassName(data: TreeData, hovered: boolean): string;
